Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[Snyk] Upgrade tape from 4.11.0 to 4.12.1 #138

Merged

Conversation

@snyk-bot
Copy link
Contributor

snyk-bot commented Jan 11, 2020

Snyk has created this PR to upgrade tape from 4.11.0 to 4.12.1.

ℹ️ Keep your dependencies up-to-date. This makes it easier to fix existing vulnerabilities and to more quickly identify and fix newly disclosed vulnerabilities when they affect your project.
  • The recommended version is 2 versions ahead of your current version.
  • The recommended version was released 17 days ago, on 2019-12-24.
Release notes
Package name: tape
  • 4.12.1 - 2019-12-24
    • [Fix] error stack file path can contain parens/spaces
    • [Deps] update resolve
    • [Dev Deps] update eslint
  • 4.12.0 - 2019-12-16
    • [New] when the error type is wrong, show the message and stack
    • [Refactor] use is-regex instead of instanceof RegExp
    • [Deps] update deep-equal, glob, object-inspect, resolve, string.prototype.trim
    • [Dev Deps] update eslint
    • [readme] add tap-nyc to pretty-reporters (#480)
    • [Tests] use shared travis-ci configs
    • [Tests] add a test for the wrong kind of error
  • 4.11.0 - 2019-06-29
    • [New] Add descriptive messages for skipped asserts (#476)
    • [Fix] emit skipped tests as objects (#473)
    • [Refactor] use !! over Boolean()
    • [meta] clean up license so github can detect it
    • [Deps] update inherits, resolve
    • [Tests] add tests for 'todo' exit codes (#471)
from tape GitHub release notes
Commit messages
Package name: tape
  • 25bcbc6 v4.12.1
  • 9094271 [Fix] error stack file path can contain parens/spaces
  • b765bba [Deps] update `resolve`
  • 949781f [Dev Deps] update `eslint`
  • 42c84d6 v4.12.0
  • 3e0a341 [Deps] update `is-regex`, `string.prototype.trim`
  • ba7e2b2 [Dev Deps] update `eslint`
  • f3a5925 [Tests] use shared travis-ci configs
  • 6e94800 [Deps] update `deep-equal`, `glob`, `object-inspect`, `resolve`, `string.prototype.trim`
  • 8150c3b [Refactor] use `is-regex` instead of `instanceof RegExp`
  • 24487cb add tap-nyc to pretty-reporters
  • c283615 [New] when the error type is wrong, show the message and stack
  • 44cbbf5 [Tests] add a test for the wrong kind of error

Compare


Note: You are seeing this because you or someone else with access to this repository has authorized Snyk to open upgrade PRs.

For more information:

🧐 View latest project report

🛠 Adjust upgrade PR settings

🔕 Ignore this dependency or unsubscribe from future upgrade PRs

Snyk has created this PR to upgrade tape from 4.11.0 to 4.12.1.

See this package in NPM:
https://www.npmjs.com/package/tape

See this project in Snyk:
https://app.snyk.io/org/jamesleesaunders/project/471b08b3-360d-4355-a693-a222e3e2d0ce?utm_source=github&utm_medium=upgrade-pr
@jamesleesaunders jamesleesaunders merged commit 4aabd83 into master Jan 18, 2020
4 checks passed
4 checks passed
build
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
continuous-integration/travis-ci/push The Travis CI build passed
Details
security/snyk - package.json (jamesleesaunders) No new issues
Details
@jamesleesaunders jamesleesaunders deleted the snyk-upgrade-8d3380423646632d3ab5b5ebd152a2e8 branch Jan 18, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants
You can’t perform that action at this time.